Package de.willuhn.jameica.hbci.rmi

# Interface Duplicatable<T>

Type Parameters:
  `T` - Duplizierter Typ.

All Known Subinterfaces:
  `AuslandsUeberweisung`, `SammelLastBuchung`, `SepaDauerauftrag`, `SepaLastschrift`, `SepaSammelLastBuchung`, `SepaSammelLastschrift`, `SepaSammelTransfer<T>`, `SepaSammelUeberweisung`, `SepaSammelUeberweisungBuchung`, `Umsatz`

All Known Implementing Classes:
  `AbstractSammelTransferBuchungImpl`, `AbstractSepaSammelTransferBuchungImpl`, `AbstractSepaSammelTransferImpl`, `AuslandsUeberweisungImpl`, `SammelLastBuchungImpl`, `SammelUeberweisungBuchungImpl`, `SepaDauerauftragImpl`, `SepaLastschriftImpl`, `SepaSammelLastBuchungImpl`, `SepaSammelLastschriftImpl`, `SepaSammelUeberweisungBuchungImpl`, `SepaSammelUeberweisungImpl`, `UmsatzImpl`, `UmsatzTypImpl`

public interface Duplicatable<T>
Basis-Interface fuer Objekte, die duplizierbar sind. Eine Ueberweisung kann damit zum Beispiel dupliziert werden, um eine neue Ueberweisung mit den gleichen Eigenschaften zu erzeugen.

## Method Summary

Modifier and Type
Method
Description
`T`
`duplicate()`
Dupliziert das Objekt.

## Method Details

### duplicate

T duplicate() throws RemoteException
Dupliziert das Objekt.

Returns:
  neues Objekt mit den gleichen Eigenschaften.
Throws:
  `RemoteException`